---
type: api
title: Get allocator
description: Retrieves the allocator by the ID.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-allocator
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-allocator
products:
  - Elastic Cloud Enterprise
---

# Get allocator

## Paths

- `GET` `/platform/infrastructure/allocators/{allocator_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `allocator_id` (string)
  The allocator identifier.

## Description

Retrieves the allocator by the ID.

## Responses

#### `200`

The information for the allocator specified by {allocator_id}

`application/json`

- `status` ({} AllocatorHealthStatus)
  The health status of the allocator.
  - `connected` (boolean)
    Whether the allocator is connected
  - `healthy` (boolean)
    Whether the allocator is healthy, meaning it is either connected or has no instances
  - `health_checks` ({} AllocatorHealthChecks)
    The checks performed to determine if an allocator is healthy or not.
    - `is_docker_healthy` (boolean)
      Check performed by the allocator to figure out if docker is healthy
    - `is_connected_to_zk` (boolean)
      Whether the allocator is connected to zk or not
    - `has_instances` (boolean)
      Whether the allocator has allocated instances
  - `maintenance_mode` (boolean)
    Whether the allocator is in maintenance mode (meaning that new workload won't be assigned to it)
  - `maintenance_mode_timestamp` (string)
    Timestamp when allocator last entered or exited maintenance mode
- `allocator_id` (string)
  Identifier for this allocator
- `zone_id` (string)
  Identifier of the zone
- `host_ip` (string)
  Host IP of this allocator
- `public_hostname` (string)
  Public hostname of this allocator
- `capacity` ({} AllocatorCapacity)
  The total and used capacity of the allocator.
  - `memory` ({} AllocatorCapacityMemory)
    The available and used memory of the allocator.
    - `total` (integer)
      Total memory in MB capacity installed on this allocator
    - `used` (integer)
      Used memory in MB used by instances assigned to this allocator
  - `storage` ({} AllocatorCapacityStorage)
    The storage capacity of the allocator.
    - `total` (integer)
      Total storage in MiB capacity installed on this allocator
  - `available_cpus` (integer)
    Total number of CPUs available on this allocator
  - `additional_master_bonus` (number)
    Additional bonus CPU shares available to Elasticsearch master instances
- `settings` ({} AllocatorSettings)
  The settings for the allocator.
  - `capacity` (integer)
    A memory capacity (in MB) that overrides the capacity defined during installation - requires separate restart of Allocator services on each host to take full effect.
- `instances` ([] AllocatedInstanceStatus)
  - `cluster_type` (enum)
    Type of instance that is running
    Values: `elasticsearch`, `kibana`, `apm`, `integrations_server`, `appsearch`, `enterprise_search`
  - `cluster_id` (string)
    Identifier for the cluster this instance belongs
  - `cluster_name` (string)
    Name of cluster this instance belongs, if available
  - `instance_name` (string)
    Instance ID of the instance
  - `node_memory` (integer)
    Memory assigned to this instance
  - `healthy` (boolean)
    Indicates whether the instance is healthy
  - `cluster_healthy` (boolean)
    Indicates whether the cluster the instance belongs to is healthy
  - `instance_configuration_id` (string)
    The instance configuration id of this instance
  - `moving` (boolean)
    Indicates whether the instance is vacating away from this allocator. Note that this is currently not populated when returned from the search endpoint.
  - `plans_info` ({} AllocatedInstancePlansInfo)
    The plan information for the Elasticsearch cluster associated with the Kibana instance or APM Server.
    - `pending` (boolean)
      Whether or not there is a pending plan.
    - `version` (string)
      The version of the current plan, falling back to that of the pending plan if it exists.
    - `zone_count` (integer)
      The number of zones in the current plan, falling back to that of the pending plan if it exists.
  - `deployment_id` (string)
    The id of the deployment this cluster belongs to.
- `metadata` ([] MetadataItem)
  Arbitrary metadata associated with this allocator
  - `key` (string)
    The metadata field name
  - `value` (string)
    The metadata value
- `build_info` ({} AllocatorBuildInfo)
  Information about the build that is running on the allocator.
  - `commit_hash` (string)
    Git commit hash
  - `version` (string)
    Version of the artifact
- `features` ([] string)
  List of features associated with this allocator. Note this is only present for backwards compatibility purposes and is scheduled for removal in the next major version release.
- `external_links` ([] ExternalHyperlink · unique)
  External resources related to this allocator.
  - `id` (string)
    Identifier of the external link
  - `label` (string)
    Human-readable description of the external link
  - `uri` (string)
    hyperlink to an external resource
- `region` (string)
  The region that this allocator belongs to. Only populated in SaaS or federated ECE.
#### `404`

The allocator specified by {allocator_id} cannot be found. (code: `allocators.allocator_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /platform/infrastructure/allocators/{allocator_id}
```

#### curl

```curl
curl -X GET "/platform/infrastructure/allocators/{allocator_id}"
```

